%define Werror_cflags -Wno-error=unused-but-set-variable

Name: 		balance
Version: 	3.42
Release: 	%mkrel 2
Summary: 	TCP load-balancing proxy server with round robin and failover mechanisms
Group: 		Networking/Other
License: 	GPLv2
Source0: 	http://www.inlab.de/%{name}-%{version}.tar.gz
Source1:	balance-tmpfiles.conf
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: 		http://www.inlab.de/balance.html

# the current ipv6 code in balance is broken, will probable fixed in newer version's, please help to fix :-)
# setsockopt(IPV6_V6ONLY=0): Protocol not available
Patch0: 	disable_IPV6_code_for_now.patch
Patch1: 	%{name}-3.42-optflags.patch
Requires(post):   systemd >= %{systemd_required_version}
Requires(pre):    rpm-helper
Requires(post):   rpm-helper
Requires(preun):  rpm-helper
Requires(postun): rpm-helper

%description
Balance is a simple but powerful generic tcp proxy with round robin
load balancing and failover mechanisms.  The program behaviour can
be controlled at runtime using a simple command line syntax. 

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%serverbuild
%make

%install
%{__mkdir} -p %{buildroot}%{_localstatedir}/run/%{name}
%{__install} -Dp -m 755 %{name} %{buildroot}%{_sbindir}/%{name}
%{__install} -Dp -m 644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%{__install} -D -p -m 0644 %{SOURCE1} %{buildroot}%{_tmpfilesdir}/%{name}.conf


%pre
%_pre_useradd %{name} /dev/null /bin/false
 
%post
%_tmpfilescreate %{name}
%_post_service %{name}
 
%preun
%_preun_service %{name}
 
%postun
%_postun_userdel %{name}


%files
%defattr(-,root,root,-)
%doc README COPYING
%{_sbindir}/%{name}
%{_mandir}/man1/%{name}.1.xz
#dir %{_localstatedir}/run/%{name}
%{_tmpfilesdir}/%{name}.conf



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 3.42-2.mga4
+ Revision: 528795
- Mageia 4 Mass Rebuild

* Thu Jun 27 2013 dlucio <dlucio> 3.42-1.mga4
+ Revision: 447391
- more spec changes
- more spec changes
- S1 modified
- tmp file support
- cflags to let compillation
- file list fix
- imported package balance


* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.42-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu May 21 2009 Ville Skyttä <ville.skytta at iki.fi> - 3.42-6
- Build with $RPM_OPT_FLAGS (#497435).

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.42-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Nov 11 2008 Itamar Reis Peixoto <itamar@ispbrasil.com.br> 3.42-4
- the ipv6 code in balance is broken, disabling it for now

* Mon Nov 10 2008 Itamar Reis Peixoto <itamar@ispbrasil.com.br> 3.42-3
- Changes from bugzilla #470626 Comment #1 From Fabian Affolter ->
- simplify %%build section summarizing the commands
- improve macros usage

* Fri Nov 07 2008 Itamar Reis Peixoto <itamar@ispbrasil.com.br> 3.42-2
- Rebuild for Fedora 10.

* Tue Apr 08 2008 T.Obermair > 3.42 
- update version

* Sat Nov 24 2007 T.Obermair > 3.40 
- update version

* Mon Jan 15 2007 T.Obermair > 3.35 
- update version

* Sat Mar 18 2006 T.Obermair > 3.34 
- update version

* Wed Oct 19 2005 T.Obermair > 3.28 
- update version

* Fri Oct 31 2003 Bojan Smojver <bojan at rexursive dot com> 3.11-1 
- update version

* Mon Sep  22 2003 Thomas Steudten <thomas at steudten dot com> 3.10-2 
- rebuild
- fix/expand specfile
